IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network96.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
- Network address
96.0.0.0- Broadcast address
127.255.255.255- First usable
96.0.0.1- Last usable
127.255.255.254- Usable hosts
- 536,870,910 (536,870,912 less the network and broadcast addresses)
- Subnet mask
224.0.0.0- Wildcard mask
31.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /3
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
60000000· Integer1610612736to2147483647 - Reverse DNS zones
96.in-addr.arpa97.in-addr.arpa98.in-addr.arpa99.in-addr.arpa100.in-addr.arpa101.in-addr.arpa102.in-addr.arpa103.in-addr.arpa104.in-addr.arpa105.in-addr.arpa106.in-addr.arpa107.in-addr.arpa108.in-addr.arpa109.in-addr.arpa110.in-addr.arpa111.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01100000.00000000.00000000.00000000 | 96.0.0.0 |
| Subnet mask | 11100000.00000000.00000000.00000000 | 224.0.0.0 |
| Network | 01100000.00000000.00000000.00000000 | 96.0.0.0 |
| Broadcast | 01111111.11111111.11111111.11111111 | 127.255.255.255 |
Split into smaller subnets
96.0.0.0/3 makes 1,024 subnets of /13; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 96.0.0.0/13 | 96.0.0.1 to 96.7.255.254 | 96.7.255.255 | 524,286 |
| 2 | 96.8.0.0/13 | 96.8.0.1 to 96.15.255.254 | 96.15.255.255 | 524,286 |
| 3 | 96.16.0.0/13 | 96.16.0.1 to 96.23.255.254 | 96.23.255.255 | 524,286 |
| 4 | 96.24.0.0/13 | 96.24.0.1 to 96.31.255.254 | 96.31.255.255 | 524,286 |
| 5 | 96.32.0.0/13 | 96.32.0.1 to 96.39.255.254 | 96.39.255.255 | 524,286 |
| 6 | 96.40.0.0/13 | 96.40.0.1 to 96.47.255.254 | 96.47.255.255 | 524,286 |
| 7 | 96.48.0.0/13 | 96.48.0.1 to 96.55.255.254 | 96.55.255.255 | 524,286 |
| 8 | 96.56.0.0/13 | 96.56.0.1 to 96.63.255.254 | 96.63.255.255 | 524,286 |
| 9 | 96.64.0.0/13 | 96.64.0.1 to 96.71.255.254 | 96.71.255.255 | 524,286 |
| 10 | 96.72.0.0/13 | 96.72.0.1 to 96.79.255.254 | 96.79.255.255 | 524,286 |
| 11 | 96.80.0.0/13 | 96.80.0.1 to 96.87.255.254 | 96.87.255.255 | 524,286 |
| 12 | 96.88.0.0/13 | 96.88.0.1 to 96.95.255.254 | 96.95.255.255 | 524,286 |
| 13 | 96.96.0.0/13 | 96.96.0.1 to 96.103.255.254 | 96.103.255.255 | 524,286 |
| 14 | 96.104.0.0/13 | 96.104.0.1 to 96.111.255.254 | 96.111.255.255 | 524,286 |
| 15 | 96.112.0.0/13 | 96.112.0.1 to 96.119.255.254 | 96.119.255.255 | 524,286 |
| 16 | 96.120.0.0/13 | 96.120.0.1 to 96.127.255.254 | 96.127.255.255 | 524,286 |
| 17 | 96.128.0.0/13 | 96.128.0.1 to 96.135.255.254 | 96.135.255.255 | 524,286 |
| 18 | 96.136.0.0/13 | 96.136.0.1 to 96.143.255.254 | 96.143.255.255 | 524,286 |
| 19 | 96.144.0.0/13 | 96.144.0.1 to 96.151.255.254 | 96.151.255.255 | 524,286 |
| 20 | 96.152.0.0/13 | 96.152.0.1 to 96.159.255.254 | 96.159.255.255 | 524,286 |
| 21 | 96.160.0.0/13 | 96.160.0.1 to 96.167.255.254 | 96.167.255.255 | 524,286 |
| 22 | 96.168.0.0/13 | 96.168.0.1 to 96.175.255.254 | 96.175.255.255 | 524,286 |
| 23 | 96.176.0.0/13 | 96.176.0.1 to 96.183.255.254 | 96.183.255.255 | 524,286 |
| 24 | 96.184.0.0/13 | 96.184.0.1 to 96.191.255.254 | 96.191.255.255 | 524,286 |
| 25 | 96.192.0.0/13 | 96.192.0.1 to 96.199.255.254 | 96.199.255.255 | 524,286 |
| 26 | 96.200.0.0/13 | 96.200.0.1 to 96.207.255.254 | 96.207.255.255 | 524,286 |
| 27 | 96.208.0.0/13 | 96.208.0.1 to 96.215.255.254 | 96.215.255.255 | 524,286 |
| 28 | 96.216.0.0/13 | 96.216.0.1 to 96.223.255.254 | 96.223.255.255 | 524,286 |
| 29 | 96.224.0.0/13 | 96.224.0.1 to 96.231.255.254 | 96.231.255.255 | 524,286 |
| 30 | 96.232.0.0/13 | 96.232.0.1 to 96.239.255.254 | 96.239.255.255 | 524,286 |
| 31 | 96.240.0.0/13 | 96.240.0.1 to 96.247.255.254 | 96.247.255.255 | 524,286 |
| 32 | 96.248.0.0/13 | 96.248.0.1 to 96.255.255.254 | 96.255.255.255 | 524,286 |
| 33 | 97.0.0.0/13 | 97.0.0.1 to 97.7.255.254 | 97.7.255.255 | 524,286 |
| 34 | 97.8.0.0/13 | 97.8.0.1 to 97.15.255.254 | 97.15.255.255 | 524,286 |
| 35 | 97.16.0.0/13 | 97.16.0.1 to 97.23.255.254 | 97.23.255.255 | 524,286 |
| 36 | 97.24.0.0/13 | 97.24.0.1 to 97.31.255.254 | 97.31.255.255 | 524,286 |
| 37 | 97.32.0.0/13 | 97.32.0.1 to 97.39.255.254 | 97.39.255.255 | 524,286 |
| 38 | 97.40.0.0/13 | 97.40.0.1 to 97.47.255.254 | 97.47.255.255 | 524,286 |
| 39 | 97.48.0.0/13 | 97.48.0.1 to 97.55.255.254 | 97.55.255.255 | 524,286 |
| 40 | 97.56.0.0/13 | 97.56.0.1 to 97.63.255.254 | 97.63.255.255 | 524,286 |
| 41 | 97.64.0.0/13 | 97.64.0.1 to 97.71.255.254 | 97.71.255.255 | 524,286 |
| 42 | 97.72.0.0/13 | 97.72.0.1 to 97.79.255.254 | 97.79.255.255 | 524,286 |
| 43 | 97.80.0.0/13 | 97.80.0.1 to 97.87.255.254 | 97.87.255.255 | 524,286 |
| 44 | 97.88.0.0/13 | 97.88.0.1 to 97.95.255.254 | 97.95.255.255 | 524,286 |
| 45 | 97.96.0.0/13 | 97.96.0.1 to 97.103.255.254 | 97.103.255.255 | 524,286 |
| 46 | 97.104.0.0/13 | 97.104.0.1 to 97.111.255.254 | 97.111.255.255 | 524,286 |
| 47 | 97.112.0.0/13 | 97.112.0.1 to 97.119.255.254 | 97.119.255.255 | 524,286 |
| 48 | 97.120.0.0/13 | 97.120.0.1 to 97.127.255.254 | 97.127.255.255 | 524,286 |
| 49 | 97.128.0.0/13 | 97.128.0.1 to 97.135.255.254 | 97.135.255.255 | 524,286 |
| 50 | 97.136.0.0/13 | 97.136.0.1 to 97.143.255.254 | 97.143.255.255 | 524,286 |
| 51 | 97.144.0.0/13 | 97.144.0.1 to 97.151.255.254 | 97.151.255.255 | 524,286 |
| 52 | 97.152.0.0/13 | 97.152.0.1 to 97.159.255.254 | 97.159.255.255 | 524,286 |
| 53 | 97.160.0.0/13 | 97.160.0.1 to 97.167.255.254 | 97.167.255.255 | 524,286 |
| 54 | 97.168.0.0/13 | 97.168.0.1 to 97.175.255.254 | 97.175.255.255 | 524,286 |
| 55 | 97.176.0.0/13 | 97.176.0.1 to 97.183.255.254 | 97.183.255.255 | 524,286 |
| 56 | 97.184.0.0/13 | 97.184.0.1 to 97.191.255.254 | 97.191.255.255 | 524,286 |
| 57 | 97.192.0.0/13 | 97.192.0.1 to 97.199.255.254 | 97.199.255.255 | 524,286 |
| 58 | 97.200.0.0/13 | 97.200.0.1 to 97.207.255.254 | 97.207.255.255 | 524,286 |
| 59 | 97.208.0.0/13 | 97.208.0.1 to 97.215.255.254 | 97.215.255.255 | 524,286 |
| 60 | 97.216.0.0/13 | 97.216.0.1 to 97.223.255.254 | 97.223.255.255 | 524,286 |
| 61 | 97.224.0.0/13 | 97.224.0.1 to 97.231.255.254 | 97.231.255.255 | 524,286 |
| 62 | 97.232.0.0/13 | 97.232.0.1 to 97.239.255.254 | 97.239.255.255 | 524,286 |
| 63 | 97.240.0.0/13 | 97.240.0.1 to 97.247.255.254 | 97.247.255.255 | 524,286 |
| 64 | 97.248.0.0/13 | 97.248.0.1 to 97.255.255.254 | 97.255.255.255 | 524,286 |
| 65 | 98.0.0.0/13 | 98.0.0.1 to 98.7.255.254 | 98.7.255.255 | 524,286 |
| 66 | 98.8.0.0/13 | 98.8.0.1 to 98.15.255.254 | 98.15.255.255 | 524,286 |
| 67 | 98.16.0.0/13 | 98.16.0.1 to 98.23.255.254 | 98.23.255.255 | 524,286 |
| 68 | 98.24.0.0/13 | 98.24.0.1 to 98.31.255.254 | 98.31.255.255 | 524,286 |
| 69 | 98.32.0.0/13 | 98.32.0.1 to 98.39.255.254 | 98.39.255.255 | 524,286 |
| 70 | 98.40.0.0/13 | 98.40.0.1 to 98.47.255.254 | 98.47.255.255 | 524,286 |
| 71 | 98.48.0.0/13 | 98.48.0.1 to 98.55.255.254 | 98.55.255.255 | 524,286 |
| 72 | 98.56.0.0/13 | 98.56.0.1 to 98.63.255.254 | 98.63.255.255 | 524,286 |
| 73 | 98.64.0.0/13 | 98.64.0.1 to 98.71.255.254 | 98.71.255.255 | 524,286 |
| 74 | 98.72.0.0/13 | 98.72.0.1 to 98.79.255.254 | 98.79.255.255 | 524,286 |
| 75 | 98.80.0.0/13 | 98.80.0.1 to 98.87.255.254 | 98.87.255.255 | 524,286 |
| 76 | 98.88.0.0/13 | 98.88.0.1 to 98.95.255.254 | 98.95.255.255 | 524,286 |
| 77 | 98.96.0.0/13 | 98.96.0.1 to 98.103.255.254 | 98.103.255.255 | 524,286 |
| 78 | 98.104.0.0/13 | 98.104.0.1 to 98.111.255.254 | 98.111.255.255 | 524,286 |
| 79 | 98.112.0.0/13 | 98.112.0.1 to 98.119.255.254 | 98.119.255.255 | 524,286 |
| 80 | 98.120.0.0/13 | 98.120.0.1 to 98.127.255.254 | 98.127.255.255 | 524,286 |
| 81 | 98.128.0.0/13 | 98.128.0.1 to 98.135.255.254 | 98.135.255.255 | 524,286 |
| 82 | 98.136.0.0/13 | 98.136.0.1 to 98.143.255.254 | 98.143.255.255 | 524,286 |
| 83 | 98.144.0.0/13 | 98.144.0.1 to 98.151.255.254 | 98.151.255.255 | 524,286 |
| 84 | 98.152.0.0/13 | 98.152.0.1 to 98.159.255.254 | 98.159.255.255 | 524,286 |
| 85 | 98.160.0.0/13 | 98.160.0.1 to 98.167.255.254 | 98.167.255.255 | 524,286 |
| 86 | 98.168.0.0/13 | 98.168.0.1 to 98.175.255.254 | 98.175.255.255 | 524,286 |
| 87 | 98.176.0.0/13 | 98.176.0.1 to 98.183.255.254 | 98.183.255.255 | 524,286 |
| 88 | 98.184.0.0/13 | 98.184.0.1 to 98.191.255.254 | 98.191.255.255 | 524,286 |
| 89 | 98.192.0.0/13 | 98.192.0.1 to 98.199.255.254 | 98.199.255.255 | 524,286 |
| 90 | 98.200.0.0/13 | 98.200.0.1 to 98.207.255.254 | 98.207.255.255 | 524,286 |
| 91 | 98.208.0.0/13 | 98.208.0.1 to 98.215.255.254 | 98.215.255.255 | 524,286 |
| 92 | 98.216.0.0/13 | 98.216.0.1 to 98.223.255.254 | 98.223.255.255 | 524,286 |
| 93 | 98.224.0.0/13 | 98.224.0.1 to 98.231.255.254 | 98.231.255.255 | 524,286 |
| 94 | 98.232.0.0/13 | 98.232.0.1 to 98.239.255.254 | 98.239.255.255 | 524,286 |
| 95 | 98.240.0.0/13 | 98.240.0.1 to 98.247.255.254 | 98.247.255.255 | 524,286 |
| 96 | 98.248.0.0/13 | 98.248.0.1 to 98.255.255.254 | 98.255.255.255 | 524,286 |
| 97 | 99.0.0.0/13 | 99.0.0.1 to 99.7.255.254 | 99.7.255.255 | 524,286 |
| 98 | 99.8.0.0/13 | 99.8.0.1 to 99.15.255.254 | 99.15.255.255 | 524,286 |
| 99 | 99.16.0.0/13 | 99.16.0.1 to 99.23.255.254 | 99.23.255.255 | 524,286 |
| 100 | 99.24.0.0/13 | 99.24.0.1 to 99.31.255.254 | 99.31.255.255 | 524,286 |
| 101 | 99.32.0.0/13 | 99.32.0.1 to 99.39.255.254 | 99.39.255.255 | 524,286 |
| 102 | 99.40.0.0/13 | 99.40.0.1 to 99.47.255.254 | 99.47.255.255 | 524,286 |
| 103 | 99.48.0.0/13 | 99.48.0.1 to 99.55.255.254 | 99.55.255.255 | 524,286 |
| 104 | 99.56.0.0/13 | 99.56.0.1 to 99.63.255.254 | 99.63.255.255 | 524,286 |
| 105 | 99.64.0.0/13 | 99.64.0.1 to 99.71.255.254 | 99.71.255.255 | 524,286 |
| 106 | 99.72.0.0/13 | 99.72.0.1 to 99.79.255.254 | 99.79.255.255 | 524,286 |
| 107 | 99.80.0.0/13 | 99.80.0.1 to 99.87.255.254 | 99.87.255.255 | 524,286 |
| 108 | 99.88.0.0/13 | 99.88.0.1 to 99.95.255.254 | 99.95.255.255 | 524,286 |
| 109 | 99.96.0.0/13 | 99.96.0.1 to 99.103.255.254 | 99.103.255.255 | 524,286 |
| 110 | 99.104.0.0/13 | 99.104.0.1 to 99.111.255.254 | 99.111.255.255 | 524,286 |
| 111 | 99.112.0.0/13 | 99.112.0.1 to 99.119.255.254 | 99.119.255.255 | 524,286 |
| 112 | 99.120.0.0/13 | 99.120.0.1 to 99.127.255.254 | 99.127.255.255 | 524,286 |
| 113 | 99.128.0.0/13 | 99.128.0.1 to 99.135.255.254 | 99.135.255.255 | 524,286 |
| 114 | 99.136.0.0/13 | 99.136.0.1 to 99.143.255.254 | 99.143.255.255 | 524,286 |
| 115 | 99.144.0.0/13 | 99.144.0.1 to 99.151.255.254 | 99.151.255.255 | 524,286 |
| 116 | 99.152.0.0/13 | 99.152.0.1 to 99.159.255.254 | 99.159.255.255 | 524,286 |
| 117 | 99.160.0.0/13 | 99.160.0.1 to 99.167.255.254 | 99.167.255.255 | 524,286 |
| 118 | 99.168.0.0/13 | 99.168.0.1 to 99.175.255.254 | 99.175.255.255 | 524,286 |
| 119 | 99.176.0.0/13 | 99.176.0.1 to 99.183.255.254 | 99.183.255.255 | 524,286 |
| 120 | 99.184.0.0/13 | 99.184.0.1 to 99.191.255.254 | 99.191.255.255 | 524,286 |
| 121 | 99.192.0.0/13 | 99.192.0.1 to 99.199.255.254 | 99.199.255.255 | 524,286 |
| 122 | 99.200.0.0/13 | 99.200.0.1 to 99.207.255.254 | 99.207.255.255 | 524,286 |
| 123 | 99.208.0.0/13 | 99.208.0.1 to 99.215.255.254 | 99.215.255.255 | 524,286 |
| 124 | 99.216.0.0/13 | 99.216.0.1 to 99.223.255.254 | 99.223.255.255 | 524,286 |
| 125 | 99.224.0.0/13 | 99.224.0.1 to 99.231.255.254 | 99.231.255.255 | 524,286 |
| 126 | 99.232.0.0/13 | 99.232.0.1 to 99.239.255.254 | 99.239.255.255 | 524,286 |
| 127 | 99.240.0.0/13 | 99.240.0.1 to 99.247.255.254 | 99.247.255.255 | 524,286 |
| 128 | 99.248.0.0/13 | 99.248.0.1 to 99.255.255.254 | 99.255.255.255 | 524,286 |
| 129 | 100.0.0.0/13 | 100.0.0.1 to 100.7.255.254 | 100.7.255.255 | 524,286 |
| 130 | 100.8.0.0/13 | 100.8.0.1 to 100.15.255.254 | 100.15.255.255 | 524,286 |
| 131 | 100.16.0.0/13 | 100.16.0.1 to 100.23.255.254 | 100.23.255.255 | 524,286 |
| 132 | 100.24.0.0/13 | 100.24.0.1 to 100.31.255.254 | 100.31.255.255 | 524,286 |
| 133 | 100.32.0.0/13 | 100.32.0.1 to 100.39.255.254 | 100.39.255.255 | 524,286 |
| 134 | 100.40.0.0/13 | 100.40.0.1 to 100.47.255.254 | 100.47.255.255 | 524,286 |
| 135 | 100.48.0.0/13 | 100.48.0.1 to 100.55.255.254 | 100.55.255.255 | 524,286 |
| 136 | 100.56.0.0/13 | 100.56.0.1 to 100.63.255.254 | 100.63.255.255 | 524,286 |
| 137 | 100.64.0.0/13 | 100.64.0.1 to 100.71.255.254 | 100.71.255.255 | 524,286 |
| 138 | 100.72.0.0/13 | 100.72.0.1 to 100.79.255.254 | 100.79.255.255 | 524,286 |
| 139 | 100.80.0.0/13 | 100.80.0.1 to 100.87.255.254 | 100.87.255.255 | 524,286 |
| 140 | 100.88.0.0/13 | 100.88.0.1 to 100.95.255.254 | 100.95.255.255 | 524,286 |
| 141 | 100.96.0.0/13 | 100.96.0.1 to 100.103.255.254 | 100.103.255.255 | 524,286 |
| 142 | 100.104.0.0/13 | 100.104.0.1 to 100.111.255.254 | 100.111.255.255 | 524,286 |
| 143 | 100.112.0.0/13 | 100.112.0.1 to 100.119.255.254 | 100.119.255.255 | 524,286 |
| 144 | 100.120.0.0/13 | 100.120.0.1 to 100.127.255.254 | 100.127.255.255 | 524,286 |
| 145 | 100.128.0.0/13 | 100.128.0.1 to 100.135.255.254 | 100.135.255.255 | 524,286 |
| 146 | 100.136.0.0/13 | 100.136.0.1 to 100.143.255.254 | 100.143.255.255 | 524,286 |
| 147 | 100.144.0.0/13 | 100.144.0.1 to 100.151.255.254 | 100.151.255.255 | 524,286 |
| 148 | 100.152.0.0/13 | 100.152.0.1 to 100.159.255.254 | 100.159.255.255 | 524,286 |
| 149 | 100.160.0.0/13 | 100.160.0.1 to 100.167.255.254 | 100.167.255.255 | 524,286 |
| 150 | 100.168.0.0/13 | 100.168.0.1 to 100.175.255.254 | 100.175.255.255 | 524,286 |
| 151 | 100.176.0.0/13 | 100.176.0.1 to 100.183.255.254 | 100.183.255.255 | 524,286 |
| 152 | 100.184.0.0/13 | 100.184.0.1 to 100.191.255.254 | 100.191.255.255 | 524,286 |
| 153 | 100.192.0.0/13 | 100.192.0.1 to 100.199.255.254 | 100.199.255.255 | 524,286 |
| 154 | 100.200.0.0/13 | 100.200.0.1 to 100.207.255.254 | 100.207.255.255 | 524,286 |
| 155 | 100.208.0.0/13 | 100.208.0.1 to 100.215.255.254 | 100.215.255.255 | 524,286 |
| 156 | 100.216.0.0/13 | 100.216.0.1 to 100.223.255.254 | 100.223.255.255 | 524,286 |
| 157 | 100.224.0.0/13 | 100.224.0.1 to 100.231.255.254 | 100.231.255.255 | 524,286 |
| 158 | 100.232.0.0/13 | 100.232.0.1 to 100.239.255.254 | 100.239.255.255 | 524,286 |
| 159 | 100.240.0.0/13 | 100.240.0.1 to 100.247.255.254 | 100.247.255.255 | 524,286 |
| 160 | 100.248.0.0/13 | 100.248.0.1 to 100.255.255.254 | 100.255.255.255 | 524,286 |
| 161 | 101.0.0.0/13 | 101.0.0.1 to 101.7.255.254 | 101.7.255.255 | 524,286 |
| 162 | 101.8.0.0/13 | 101.8.0.1 to 101.15.255.254 | 101.15.255.255 | 524,286 |
| 163 | 101.16.0.0/13 | 101.16.0.1 to 101.23.255.254 | 101.23.255.255 | 524,286 |
| 164 | 101.24.0.0/13 | 101.24.0.1 to 101.31.255.254 | 101.31.255.255 | 524,286 |
| 165 | 101.32.0.0/13 | 101.32.0.1 to 101.39.255.254 | 101.39.255.255 | 524,286 |
| 166 | 101.40.0.0/13 | 101.40.0.1 to 101.47.255.254 | 101.47.255.255 | 524,286 |
| 167 | 101.48.0.0/13 | 101.48.0.1 to 101.55.255.254 | 101.55.255.255 | 524,286 |
| 168 | 101.56.0.0/13 | 101.56.0.1 to 101.63.255.254 | 101.63.255.255 | 524,286 |
| 169 | 101.64.0.0/13 | 101.64.0.1 to 101.71.255.254 | 101.71.255.255 | 524,286 |
| 170 | 101.72.0.0/13 | 101.72.0.1 to 101.79.255.254 | 101.79.255.255 | 524,286 |
| 171 | 101.80.0.0/13 | 101.80.0.1 to 101.87.255.254 | 101.87.255.255 | 524,286 |
| 172 | 101.88.0.0/13 | 101.88.0.1 to 101.95.255.254 | 101.95.255.255 | 524,286 |
| 173 | 101.96.0.0/13 | 101.96.0.1 to 101.103.255.254 | 101.103.255.255 | 524,286 |
| 174 | 101.104.0.0/13 | 101.104.0.1 to 101.111.255.254 | 101.111.255.255 | 524,286 |
| 175 | 101.112.0.0/13 | 101.112.0.1 to 101.119.255.254 | 101.119.255.255 | 524,286 |
| 176 | 101.120.0.0/13 | 101.120.0.1 to 101.127.255.254 | 101.127.255.255 | 524,286 |
| 177 | 101.128.0.0/13 | 101.128.0.1 to 101.135.255.254 | 101.135.255.255 | 524,286 |
| 178 | 101.136.0.0/13 | 101.136.0.1 to 101.143.255.254 | 101.143.255.255 | 524,286 |
| 179 | 101.144.0.0/13 | 101.144.0.1 to 101.151.255.254 | 101.151.255.255 | 524,286 |
| 180 | 101.152.0.0/13 | 101.152.0.1 to 101.159.255.254 | 101.159.255.255 | 524,286 |
| 181 | 101.160.0.0/13 | 101.160.0.1 to 101.167.255.254 | 101.167.255.255 | 524,286 |
| 182 | 101.168.0.0/13 | 101.168.0.1 to 101.175.255.254 | 101.175.255.255 | 524,286 |
| 183 | 101.176.0.0/13 | 101.176.0.1 to 101.183.255.254 | 101.183.255.255 | 524,286 |
| 184 | 101.184.0.0/13 | 101.184.0.1 to 101.191.255.254 | 101.191.255.255 | 524,286 |
| 185 | 101.192.0.0/13 | 101.192.0.1 to 101.199.255.254 | 101.199.255.255 | 524,286 |
| 186 | 101.200.0.0/13 | 101.200.0.1 to 101.207.255.254 | 101.207.255.255 | 524,286 |
| 187 | 101.208.0.0/13 | 101.208.0.1 to 101.215.255.254 | 101.215.255.255 | 524,286 |
| 188 | 101.216.0.0/13 | 101.216.0.1 to 101.223.255.254 | 101.223.255.255 | 524,286 |
| 189 | 101.224.0.0/13 | 101.224.0.1 to 101.231.255.254 | 101.231.255.255 | 524,286 |
| 190 | 101.232.0.0/13 | 101.232.0.1 to 101.239.255.254 | 101.239.255.255 | 524,286 |
| 191 | 101.240.0.0/13 | 101.240.0.1 to 101.247.255.254 | 101.247.255.255 | 524,286 |
| 192 | 101.248.0.0/13 | 101.248.0.1 to 101.255.255.254 | 101.255.255.255 | 524,286 |
| 193 | 102.0.0.0/13 | 102.0.0.1 to 102.7.255.254 | 102.7.255.255 | 524,286 |
| 194 | 102.8.0.0/13 | 102.8.0.1 to 102.15.255.254 | 102.15.255.255 | 524,286 |
| 195 | 102.16.0.0/13 | 102.16.0.1 to 102.23.255.254 | 102.23.255.255 | 524,286 |
| 196 | 102.24.0.0/13 | 102.24.0.1 to 102.31.255.254 | 102.31.255.255 | 524,286 |
| 197 | 102.32.0.0/13 | 102.32.0.1 to 102.39.255.254 | 102.39.255.255 | 524,286 |
| 198 | 102.40.0.0/13 | 102.40.0.1 to 102.47.255.254 | 102.47.255.255 | 524,286 |
| 199 | 102.48.0.0/13 | 102.48.0.1 to 102.55.255.254 | 102.55.255.255 | 524,286 |
| 200 | 102.56.0.0/13 | 102.56.0.1 to 102.63.255.254 | 102.63.255.255 | 524,286 |
| 201 | 102.64.0.0/13 | 102.64.0.1 to 102.71.255.254 | 102.71.255.255 | 524,286 |
| 202 | 102.72.0.0/13 | 102.72.0.1 to 102.79.255.254 | 102.79.255.255 | 524,286 |
| 203 | 102.80.0.0/13 | 102.80.0.1 to 102.87.255.254 | 102.87.255.255 | 524,286 |
| 204 | 102.88.0.0/13 | 102.88.0.1 to 102.95.255.254 | 102.95.255.255 | 524,286 |
| 205 | 102.96.0.0/13 | 102.96.0.1 to 102.103.255.254 | 102.103.255.255 | 524,286 |
| 206 | 102.104.0.0/13 | 102.104.0.1 to 102.111.255.254 | 102.111.255.255 | 524,286 |
| 207 | 102.112.0.0/13 | 102.112.0.1 to 102.119.255.254 | 102.119.255.255 | 524,286 |
| 208 | 102.120.0.0/13 | 102.120.0.1 to 102.127.255.254 | 102.127.255.255 | 524,286 |
| 209 | 102.128.0.0/13 | 102.128.0.1 to 102.135.255.254 | 102.135.255.255 | 524,286 |
| 210 | 102.136.0.0/13 | 102.136.0.1 to 102.143.255.254 | 102.143.255.255 | 524,286 |
| 211 | 102.144.0.0/13 | 102.144.0.1 to 102.151.255.254 | 102.151.255.255 | 524,286 |
| 212 | 102.152.0.0/13 | 102.152.0.1 to 102.159.255.254 | 102.159.255.255 | 524,286 |
| 213 | 102.160.0.0/13 | 102.160.0.1 to 102.167.255.254 | 102.167.255.255 | 524,286 |
| 214 | 102.168.0.0/13 | 102.168.0.1 to 102.175.255.254 | 102.175.255.255 | 524,286 |
| 215 | 102.176.0.0/13 | 102.176.0.1 to 102.183.255.254 | 102.183.255.255 | 524,286 |
| 216 | 102.184.0.0/13 | 102.184.0.1 to 102.191.255.254 | 102.191.255.255 | 524,286 |
| 217 | 102.192.0.0/13 | 102.192.0.1 to 102.199.255.254 | 102.199.255.255 | 524,286 |
| 218 | 102.200.0.0/13 | 102.200.0.1 to 102.207.255.254 | 102.207.255.255 | 524,286 |
| 219 | 102.208.0.0/13 | 102.208.0.1 to 102.215.255.254 | 102.215.255.255 | 524,286 |
| 220 | 102.216.0.0/13 | 102.216.0.1 to 102.223.255.254 | 102.223.255.255 | 524,286 |
| 221 | 102.224.0.0/13 | 102.224.0.1 to 102.231.255.254 | 102.231.255.255 | 524,286 |
| 222 | 102.232.0.0/13 | 102.232.0.1 to 102.239.255.254 | 102.239.255.255 | 524,286 |
| 223 | 102.240.0.0/13 | 102.240.0.1 to 102.247.255.254 | 102.247.255.255 | 524,286 |
| 224 | 102.248.0.0/13 | 102.248.0.1 to 102.255.255.254 | 102.255.255.255 | 524,286 |
| 225 | 103.0.0.0/13 | 103.0.0.1 to 103.7.255.254 | 103.7.255.255 | 524,286 |
| 226 | 103.8.0.0/13 | 103.8.0.1 to 103.15.255.254 | 103.15.255.255 | 524,286 |
| 227 | 103.16.0.0/13 | 103.16.0.1 to 103.23.255.254 | 103.23.255.255 | 524,286 |
| 228 | 103.24.0.0/13 | 103.24.0.1 to 103.31.255.254 | 103.31.255.255 | 524,286 |
| 229 | 103.32.0.0/13 | 103.32.0.1 to 103.39.255.254 | 103.39.255.255 | 524,286 |
| 230 | 103.40.0.0/13 | 103.40.0.1 to 103.47.255.254 | 103.47.255.255 | 524,286 |
| 231 | 103.48.0.0/13 | 103.48.0.1 to 103.55.255.254 | 103.55.255.255 | 524,286 |
| 232 | 103.56.0.0/13 | 103.56.0.1 to 103.63.255.254 | 103.63.255.255 | 524,286 |
| 233 | 103.64.0.0/13 | 103.64.0.1 to 103.71.255.254 | 103.71.255.255 | 524,286 |
| 234 | 103.72.0.0/13 | 103.72.0.1 to 103.79.255.254 | 103.79.255.255 | 524,286 |
| 235 | 103.80.0.0/13 | 103.80.0.1 to 103.87.255.254 | 103.87.255.255 | 524,286 |
| 236 | 103.88.0.0/13 | 103.88.0.1 to 103.95.255.254 | 103.95.255.255 | 524,286 |
| 237 | 103.96.0.0/13 | 103.96.0.1 to 103.103.255.254 | 103.103.255.255 | 524,286 |
| 238 | 103.104.0.0/13 | 103.104.0.1 to 103.111.255.254 | 103.111.255.255 | 524,286 |
| 239 | 103.112.0.0/13 | 103.112.0.1 to 103.119.255.254 | 103.119.255.255 | 524,286 |
| 240 | 103.120.0.0/13 | 103.120.0.1 to 103.127.255.254 | 103.127.255.255 | 524,286 |
| 241 | 103.128.0.0/13 | 103.128.0.1 to 103.135.255.254 | 103.135.255.255 | 524,286 |
| 242 | 103.136.0.0/13 | 103.136.0.1 to 103.143.255.254 | 103.143.255.255 | 524,286 |
| 243 | 103.144.0.0/13 | 103.144.0.1 to 103.151.255.254 | 103.151.255.255 | 524,286 |
| 244 | 103.152.0.0/13 | 103.152.0.1 to 103.159.255.254 | 103.159.255.255 | 524,286 |
| 245 | 103.160.0.0/13 | 103.160.0.1 to 103.167.255.254 | 103.167.255.255 | 524,286 |
| 246 | 103.168.0.0/13 | 103.168.0.1 to 103.175.255.254 | 103.175.255.255 | 524,286 |
| 247 | 103.176.0.0/13 | 103.176.0.1 to 103.183.255.254 | 103.183.255.255 | 524,286 |
| 248 | 103.184.0.0/13 | 103.184.0.1 to 103.191.255.254 | 103.191.255.255 | 524,286 |
| 249 | 103.192.0.0/13 | 103.192.0.1 to 103.199.255.254 | 103.199.255.255 | 524,286 |
| 250 | 103.200.0.0/13 | 103.200.0.1 to 103.207.255.254 | 103.207.255.255 | 524,286 |
| 251 | 103.208.0.0/13 | 103.208.0.1 to 103.215.255.254 | 103.215.255.255 | 524,286 |
| 252 | 103.216.0.0/13 | 103.216.0.1 to 103.223.255.254 | 103.223.255.255 | 524,286 |
| 253 | 103.224.0.0/13 | 103.224.0.1 to 103.231.255.254 | 103.231.255.255 | 524,286 |
| 254 | 103.232.0.0/13 | 103.232.0.1 to 103.239.255.254 | 103.239.255.255 | 524,286 |
| 255 | 103.240.0.0/13 | 103.240.0.1 to 103.247.255.254 | 103.247.255.255 | 524,286 |
| 256 | 103.248.0.0/13 | 103.248.0.1 to 103.255.255.254 | 103.255.255.255 | 524,286 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |